OpenTTD: IniGroup Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
IniGroup Struct Reference

A group within an ini file. More...

`#include <ini_type.h>`

## Public Member Functions
| IniGroup (struct IniLoadFile *parent, const char *name, const char *last=NULL)
| Construct a new in-memory group of an Ini file.
| ~IniGroup ()
| Free everything we loaded.
IniItem * | GetItem (const char *name, bool create)
| Get the item with the given name, and if it doesn't exist and create is true it creates a new item.
void | Clear ()
| Clear all items in the group.

## Data Fields
IniGroup * | next
| the next group within this file
IniGroupType | type
| type of group
IniItem * | item
| the first item in the group
IniItem ** | last_item
| the last item in the group
char * | name
| name of group
char * | comment
| comment for group

## Detailed Description

A group within an ini file.

Definition at line 38 of file ini_type.h.

## Constructor & Destructor Documentation

IniGroup::IniGroup | ( | struct IniLoadFile * | parent,
|  | const char * | name,
|  | const char * | last = `NULL`
| ) |  |

Construct a new in-memory group of an Ini file.

Parameters

  parent | the file we belong to
  name | the name of the group
  last | the last element of the name of the group

Definition at line 61 of file ini_load.cpp.

References IGT_LIST, IGT_SEQUENCE, item, IniLoadFile::last_group, last_item, IniLoadFile::list_group_names, next, IniLoadFile::seq_group_names, str_validate(), stredup(), and type.

IniGroup::~IniGroup | ( |  | ) |

Free everything we loaded.

Definition at line 89 of file ini_load.cpp.

References comment, free(), item, name, and next.

## Member Function Documentation

IniItem * IniGroup::GetItem | ( | const char * | name,
|  | bool | create
| ) |  |

Get the item with the given name, and if it doesn't exist and create is true it creates a new item.

Parameters

  name | name of the item to find.
  create | whether to create an item when not found or not.

Returns
  the requested item or NULL if not found.

Definition at line 105 of file ini_load.cpp.

References item, IniItem::name, and IniItem::next.

Referenced by DumpSections(), BaseSet< T, Tnum_files, Tsearch_in_tars >::FillSetDetails(), FindItemValue(), IniLoadSettings(), IniSaveSettingList(), HotkeyList::Load(), HotkeyList::Save(), and SaveVersionInConfig().

The documentation for this struct was generated from the following files:

- src/ini_type.h
- src/ini_load.cpp